<template>
    <div class="jumppage">
        <div class="loading">
            <i class="el-icon-loading"></i>
            <div class="loading-text">改革报表加载中......</div>
        </div>
    </div>
</template>

<script>
import store from '@/store'
import {Loading} from 'element-ui'
export default {
    name: 'jumping',
    data() {
        return {
            loading: null,
        }
    },
    mounted() {
        // this.login()
    },
    methods: {
        login() {
            let userInfo = {
                account: '',
                password: '',
            }
            store
                .dispatch('login/loginByPrincipal', userInfo)
                .then((loginStatus) => {
                    if (loginStatus && loginStatus == true) {
                        store.dispatch('login/getAllDict')
                        store.dispatch('menu/actionFrontMenus').then((res) => {
                            this.$router.push('/DistrictReformMobile')
                        })
                    }
                })
        },
    },
}
</script>

<style lang="scss" scoped>
.jumppage{
    width:100%;
    height: 100%;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}
.loading{
    text-align: center;
}
.el-icon-loading, .loading-text{
    color: #2761ff;
    font-size: 14PX;
}

</style>